package com.engine.salary.mapper;

import com.engine.salary.entity.taxrate.SysTaxRateBase;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface SysTaxRateBaseMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SysTaxRateBase> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SysTaxRateBase getById(Long id);
	
	/**
     * 新增，插入所有字段
     *
     * @param sysTaxRateBase 新增的记录
     * @return 返回影响行数
     */
	int insert(SysTaxRateBase sysTaxRateBase);
	
	/**
     * 新增，忽略null字段
     *
     * @param sysTaxRateBase 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SysTaxRateBase sysTaxRateBase);
	
	/**
     * 修改，修改所有字段
     *
     * @param sysTaxRateBase 修改的记录
     * @return 返回影响行数
     */
	int update(SysTaxRateBase sysTaxRateBase);
	
	/**
     * 修改，忽略null字段
     *
     * @param sysTaxRateBase 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SysTaxRateBase sysTaxRateBase);
	
	/**
     * 删除记录
     *
     * @param sysTaxRateBase 待删除的记录
     * @return 返回影响行数
     */
	int delete(SysTaxRateBase sysTaxRateBase);

	List<SysTaxRateBase> selectByIds(@Param("ids") Collection<Long> ids);

	/**
	 * 条件查询
	 */
	List<SysTaxRateBase> listBySome(@Param("param") SysTaxRateBase param);

}